import * as d3 from 'd3';
import { network as data } from './data';
import { bubbles } from './bubbles';
import { network } from './network';

const svg = d3.select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

var root = d3.hierarchy(data)

var nodes = root.descendants();
var links = root.links();

console.log(nodes)

var chartType = 'bubbles';

const switchChartType = () => {
  svg.select('g').remove()
  chartType = chartType === 'bubbles' ? 'network' : 'bubbles';
  render();
}

const render = () => {
  if(chartType === 'network'){
     network(svg, {
      nodes,
      links,
      height,
      width,
    });
  } else {
   	bubbles(svg, {
      nodes,
      height,
      width,
    });
  }
};

render();

window.addEventListener('switch', switchChartType)







